
clear datafile info
path(path,'../matlab')
datafile.name='biliaryCirrhosis_data.txt';
datafile.format='tab';  % can be "csv", "space", "tab" or ";"

info.header = {'ID','COV','CAT','CAT','COV','CAT','TIME','IGNORE','IGNORE','IGNORE','YTYPE','Y'};
info.observation.name={'bilirubin','death'};
info.observation.type={'continuous','event'};
info.observation.unit={'',''};
info.time.unit='year';

%%
data=readdatapx(datafile,info);
exploredatapx(data)

datas=splitdatapx(data);
rescov=summarypx(datas.covariate);
disp(rescov)

