
clear datafile info
path(path,'D:/MLX/popixplore/popixplore 1.1/matlab')
datafile.name='pkrtte_data.csv';
datafile.format='csv';  % can be "csv", "space", "tab" or ";"
%%
info.header = {'ID','TIME','AMT','Y','YTYPE','COV','CAT','CAT'};
info.observation.name={'concentration','hemorrhaging'};
info.observation.type={'continuous','event'};
info.observation.unit={'mg/l',''};
info.covariate.unit={'kg',''};
info.time.unit='h';
%%
data=readdatapx(datafile,info);
exploredatapx(data)

datas=splitdatapx(data);
rescov=summarypx(datas.covariate);
disp(rescov)

