
clear datafile info
path(path,'../matlab')
datafile.name='theophylline_data.txt';
datafile.format='tab';  % can be "csv", "space", "tab" or ";"

info.header = {'ID','AMT','TIME','Y','COV','CAT'};
info.observation.name={'Concentration'};
info.observation.type={'continuous'};
info.observation.unit={'mg/l'};
info.covariate.unit={'year',''};
info.time.unit='h';
info.dose.unit={'mg/kg'};

%%
data=readdatapx(datafile,info);
exploredatapx(data)

datas=splitdatapx(data);
rescov=summarypx(datas.covariate);
disp(rescov)

